using UnityEngine;
using System.Collections;

public class Statue : Spawnable
{
		public override void Interact (Player pl)
		{
				if (destroyed)
						return;
				
				pl.Goals++;
				pl.FlashInteraction ();

				if (pl.Goals == 4) {
						pl.WIN ();
				} else {
						//pl.GetComponent<SpawnController> ().PlayerStateChanged (pl);
				}
				
				base.Interact (pl);
		}
}
